# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    for soft in installed_softwares('saml2aws'):
        if Version(soft['version']) < Version(control.get_software_version()):
            run(uninstall_cmd(soft['key']))

    bin_name = glob.glob('saml2aws_*_windows_amd64.msi')[0]
    # Installing the software
    
    install_msi_if_needed(bin_name)



